[ARVADOS-DEV] updated: caee5f605df13627f796cf1cf8229bda7b3a34ab

Git user git at public.curoverse.com
Mon Jan 23 13:56:02 EST 2017


Summary of changes:
 jenkins/run-diagnostics-suite.sh | 8 ++++++++
 1 file changed, 8 insertions(+)

       via  caee5f605df13627f796cf1cf8229bda7b3a34ab (commit)
      from  fc7fe0e6a0c3e4c3dc24bf443fcbdbd9d00ccaa7 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit caee5f605df13627f796cf1cf8229bda7b3a34ab
Author: Ward Vandewege <ward at curoverse.com>
Date:   Mon Jan 23 13:55:50 2017 -0500

    Abort diagnostics suite with prejudice if the git checkout fails.
    
    No issue #

diff --git a/jenkins/run-diagnostics-suite.sh b/jenkins/run-diagnostics-suite.sh
index 015a053..ef25fd4 100755
--- a/jenkins/run-diagnostics-suite.sh
+++ b/jenkins/run-diagnostics-suite.sh
@@ -57,6 +57,14 @@ if [[ "$REVISION" != '' ]]; then
   git checkout $REVISION
 fi
 
+ECODE=$?
+
+if [[ "$ECODE" != "0" ]]; then
+  title "!!!!!! DIAGNOSTICS FAILED (`timer`) !!!!!!"
+  EXITCODE=$(($EXITCODE + $ECODE))
+  exit $EXITCODE
+fi
+
 cp -f /home/jenkins/diagnostics/arvados-workbench/$INSTANCE-application.yml $WORKSPACE/apps/workbench/config/application.yml
 
 cd $WORKSPACE/apps/workbench

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list